Get the fields applicable to an existing case

Server: https://{kibana_url}
  • GET /api/cases/{caseId}/fields
  • GET /s/{space_id}/api/cases/{caseId}/fields

Refer to Spaces for more information.

Returns the fields you can write to the case's extended_fields. The case determines the owner and any applied template. The response includes the owner's global fields (library-wide) and, if the case has a template, that template's fields. Requires the Cases feature to be enabled in the space.

Path Parameters

caseId string required

The identifier for the case. To retrieve case IDs, use the search cases (_find) API. All non-ASCII characters must be URL encoded.

Responses